<template>
  <div class="pb-5">
    <LearnMoreModal
      v-if="displayModal"
      @close="displayModal = false"
    />
    <h1 class="mb-5">Jessica, here’s your doctor recommended treatment</h1>
    <p class="mb-4 tracking-12px text-xs uppercase">BASED ON YOUR GOALS</p>
    <div class="flex flex-wrap -m-2 mb-6">
      <div
        class="p-2"
        v-for="item in goals"
        :key="item"
      >
        <div class="text-grey-medium bg-white rounded-xl px-3 py-1">
          {{ item }}
        </div>
      </div>
    </div>
    <p class="mb-4 tracking-12px text-xs uppercase">AND YOUR HAIR TYPE</p>
    <div class="flex flex-wrap -m-2">
      <div
        class="p-2"
        v-for="item in hairTypes"
        :key="item"
      >
        <div class="text-grey-medium bg-white rounded-xl px-3 py-1">
          {{ item }}
        </div>
      </div>
    </div>
    <div class="mt-8 bg-white rounded-lg p-5 grid grid-cols-results gap-x-5 mb-3">
      <img src="@/assets/img/common/custom-prescription-solution.png" alt="icon">
      <div class="flex flex-auto flex-col">
        <p class="mb-2 text-xs tracking-12px text-green-sdark uppercase">Minoxidil & Tretinoin</p>
        <p class="mb-3">Custom Prescription Solution</p>
        <ul>
          <li>Doctor formulated specifically for your hair needs</li>
          <li>This dermatologist-approved combo has been shown to keep the hair you have and regrow the hair you’ve
            already lost.
            <div @click="displayModal = true" class="cursor-pointer underline">Learn more</div>
          </li>
        </ul>
      </div>
    </div>
    <div class="border border-green p-5 rounded-lg flex space-x-5 items-center mb-10">
      <img src="@/assets/img/common/doctor.png" alt="" width="51">
      <p class="text-sm">Your doctor will be with you every step of the way, with regular visits every month for the first 4 months.</p>
    </div>
    <p class="uppercase text-xs tracking-12px mb-5">Included FREE in your first order</p>
    <div class="space-y-3 mb-8">
      <div class="space-x-4 flex items-center bg-white rounded-lg p-5">
        <img width="40px" src="" alt="no thyroid image">
        <div>
          <p class="uppercase tracking-12px text-xs text-green-sdark mb-2">COMPLETE</p>
          <p class="mb-2">Thyroid Support</p>
          <p class="text-sm text-grey-medium">A healthy, supported thyroid is vital to overall health to help protect against hair loss. </p>
        </div>
      </div>
      <div class="space-x-4 flex items-center bg-white rounded-lg p-5">
        <img width="40px" src="@/assets/img/common/foam.png" alt="no thyroid image">
        <div>
          <p class="uppercase tracking-12px text-xs text-green-sdark mb-2">Leave-In Daily</p>
          <p class="mb-2">Foam</p>
          <p class="text-sm text-grey-medium">Protects against hormonal hair loss. The foam penetrates deep into your scalp to block the DHT hormone from interfering with your hair’s natural growth cycle.</p>
        </div>
      </div>
    </div>
    <common-btn
      text="Find out what to expect"
      @click="$emit('nextStage')"
      class="sticky bottom-5"
    />
  </div>
</template>

<script>
import LearnMoreModal from "@/components/modals/LearnMoreModal";
import {answersMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin],
  name: "YourResults",
  components: {LearnMoreModal},
  data() {
    return {
      displayModal: false
    }
  },
  computed: {
    goals() {
      return [
        'Regrow my hair', 'Prevent future hair loss', 'Thicken my hair'
      ]
    },
    hairTypes() {
      return [this.answer(this.answersKeys.YOUR_HAIR)?.stage_1, this.answer(this.answersKeys.YOUR_HAIR)?.stage_2]
    }
  }
}
</script>

<style scoped>
ul {
  @apply text-sm text-grey-medium;
  list-style: none; /* Remove default bullets */
  margin-inline-start: 1rem;
}

ul li::before {
  @apply text-grey-medium font-bold inline-block w-4 -ml-4;
  content: "\2022";
}
</style>
